ISWALNUM(3)

NAME
iswalnum, iswalpha, iswblank, iswcntrl, iswdigit, iswgraph, iswlower, iswprint, iswpunct, iswspace, iswupper, iswxdigit - wide character classification utilities

LIBRARY
libc

SYNOPSIS
#include <wctype.h>
int
iswalnum(wint_t wc);
int
iswalpha(wint_t wc);
int
iswblank(wint_t wc);
int
iswcntrl(wint_t wc);
int
iswdigit(wint_t wc);
int
iswgraph(wint_t wc);
int
iswlower(wint_t wc);
int
iswprint(wint_t wc);
int
iswpunct(wint_t wc);
int
iswspace(wint_t wc);
int
iswupper(wint_t wc);
int
iswxdigit(wint_t wc);

DESCRIPTION
The functions are character classification utility functions, for use with wide characters ( wchar_t or wint_t). See the description of singlebyte classification functions, like isalnum(3), for details.

RETURN VALUES
The functions return zero if the character tests false and return non-zero if the character tests true.

SEE ALSO
isalnum(3), isalpha(3), isblank(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), isxdigit(3)

STANDARDS
The functions conform to isoC-99.

CAVEATS
The argument to these functions must be WEOF or a valid wchar_t value with the current locale; otherwise, the result is undefined.